<div *ngIf="errors">
  <app-erreur [erreur]="errors"></app-erreur>
</div>
<div id="member-page">
  <form (ngSubmit)="save(form.value)" [formGroup]="form">
    <mat-progress-bar *ngIf="loading" mode="indeterminate"></mat-progress-bar>
    <mat-card>
      <h1 class="mat-h1" style="text-align: center">Nouvel adhérent</h1>
      <mat-card-title>
        Profil
      </mat-card-title>

      <div class="form-line">
        <mat-form-field>
          <mat-select formControlName="gender" placeholder="Genre">
            <mat-option value="W">Mme.</mat-option>
            <mat-option value="M">M.</mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field>
          <input formControlName="first_name" matInput placeholder="Prénom" required>
        </mat-form-field>
        <mat-form-field>
          <input (keyup)="autoFillEmail()" formControlName="last_name" matInput placeholder="Nom" required>
        </mat-form-field>
      </div>
      <div class="form-line">
        <mat-form-field>
          <mat-icon matPrefix>phone</mat-icon>
          <input formControlName="phone" matInput pattern="\+[0-9]*" placeholder="Téléphone" type="tel">
          <mat-hint>Téléphone au format +33xxx</mat-hint>
          <mat-error *ngIf="form.hasError('phone')">
            Please enter a valid email address
          </mat-error>
        </mat-form-field>
        <mat-form-field>
          <mat-icon matPrefix>email</mat-icon>
          <input formControlName="email" matInput placeholder="Email" type="email">
        </mat-form-field>
        <mat-form-field>
          <mat-icon matPrefix>date_range</mat-icon>
          <input formControlName="birthday" matInput placeholder="Date de naissance" type="date">
        </mat-form-field>

      </div>
      <div class="form-line">
        <mat-form-field>
          <mat-select formControlName="category" placeholder="Catégorie">
            <mat-option value="student">Etudiant</mat-option>
            <mat-option value="worker">Employé à l'INSA</mat-option>
            <mat-option value="other">Autre</mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <br>
      <mat-card-title class="more-margin-top">
        Études
      </mat-card-title>

      <div class="form-line" formGroupName="student_profile">
        <mat-form-field>
          <input formControlName="student_number" matInput placeholder="Numéro Etudiant" type="text">
        </mat-form-field>
        <mat-form-field>
          <mat-icon matPrefix>domain</mat-icon>
          <mat-select formControlName="school" placeholder="Ecole">
            <mat-option *ngFor="let school of schools" [value]="school.short_name">{{school.name}}</mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field>
          <mat-select formControlName="department" placeholder="Département">
            <mat-option *ngFor="let department of departments" [value]="department.short_name">{{department.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field>
          <mat-select formControlName="study_year" placeholder="Année d'étude">
            <mat-option *ngFor="let y of years" [value]="y.name">{{y.name}}</mat-option>
          </mat-select>
        </mat-form-field>
      </div>
    </mat-card>
    <div>
      <button color="primary" mat-raised-button>Enregistrer</button>
    </div>
  </form>
</div>
